## org.omg.CORBA
Interface PolicyOperations

All Known Subinterfaces:
  BidirectionalPolicy, BidirectionalPolicyOperations, ConstructionPolicy, ConstructionPolicyOperations, ForceMarshalPolicy, ForceMarshalPolicyOperations, IdAssignmentPolicy, IdAssignmentPolicyOperations, IdUniquenessPolicy, IdUniquenessPolicyOperations, ImplicitActivationPolicy, ImplicitActivationPolicyOperations, LifespanPolicy, LifespanPolicyOperations, Policy, ProfilePriorityPolicy, ProfilePriorityPolicyOperations, RelativeRequestTimeoutPolicy, RelativeRequestTimeoutPolicyOperations, RelativeRoundtripTimeoutPolicy, RelativeRoundtripTimeoutPolicyOperations, ReplyEndTimePolicy, ReplyEndTimePolicyOperations, ReplyStartTimePolicy, ReplyStartTimePolicyOperations, RequestEndTimePolicy, RequestEndTimePolicyOperations, RequestProcessingPolicy, RequestProcessingPolicyOperations, RequestStartTimePolicy, RequestStartTimePolicyOperations, ServantRetentionPolicy, ServantRetentionPolicyOperations, SyncScopePolicy, SyncScopePolicyOperations, ThreadPolicy, ThreadPolicyOperations

All Known Implementing Classes:
  PolicyPOA

public interface PolicyOperations

Interface definition : Policy

Author:
  OpenORB Compiler

Method Summary
`Policy` `copy()` Operation copy
`void` `destroy()` Operation destroy
`int` `policy_type()` Read accessor for policy_type attribute

Method Detail

### policy_type

    public int policy_type()

  Read accessor for policy_type attribute
  Returns:
    the attribute value

### copy

    public Policy copy()

  Operation copy

### destroy

    public void destroy()

  Operation destroy